## lobbyists-0.10.tar.gz

=== Makefile ===
all: help

help:
	@echo 'Choose one:'
	@echo
	@echo 'push - push to git origin remote.'
	@echo 'push-all - push to all git remotes.'
	@echo 'db - create (clobber) the filings.db database.'
	@echo 'test - run all unit tests.'
	@echo 'develop - run "setup.py develop".'
	@echo 'sdist - make a source distribution.'
	@echo 'egg - make a setuptools egg binary distribution.'
	@echo 'deb - make a Debian package.'
	@echo 'pypi - upload the package to PyPI.'
	@echo 'clean - remove build and dist subdirectories.'
	@echo 'help - this message.'

push:
	git push origin

push-all: push
	git push github

test:
	python setup.py test

db:
	sqlite3 lobbyists.db < lobbyists/lobbyists.sql

sdist:
	COPYFILE_DISABLE=true python setup.py sdist --formats=bztar

egg:
	python setup.py bdist_egg

deb:
	debuild -i\.git -I\.git

develop:
	python setup.py develop

pypi:
	COPYFILE_DISABLE=true python setup.py sdist bdist_egg upload --sign

clean:
	rm -rf build dist

=== debian/changelog ===
python-lobbyists (0.10-2) unstable; urgency=low

  * Install docs.

 -- Drew Hess <dhess-src@bothan.net>  Tue, 21 Oct 2008 02:14:11 -0700

python-lobbyists (0.10-1) unstable; urgency=low

  * Initial release.

 -- Drew Hess <dhess-src@bothan.net>  Sat, 18 Oct 2008 23:54:17 -0700

=== debian/control ===
Source: python-lobbyists
Section: python
Priority: optional
Maintainer: Drew Hess <dhess-src@bothan.net>
Build-Depends: python (>= 2.5.1), cdbs (>= 0.4.49), debhelper
Build-Depends-Indep: python-support (>= 0.5.3)
Standards-Version: 3.8.0

Package: python-lobbyists
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends}
Provides: ${python:Provides}
Description: Parse U.S. Senate LD-1/LD-2 lobbying disclosure documents
 This package provides a reference parser and database importer for the
 United States Senate LD-1/LD-2 lobbying disclosure database. The
 Senate provides the database as a series of XML documents,
 downloadable here:
 .
 http://www.senate.gov/legislative/Public_Disclosure/database_download.htm
 .
 The SQL database schema used by the importer is a direct translation
 of the XML schema used in the Senate documents. This isn't a
 particularly useful format for analyzing lobbying data, but it is
 useful for analyzing the lobbying records themselves, which often
 contain errors or anomalies. In any case, it shouldn't be too
 difficult to adapt the importing code in this package to a more useful
 schema.
 .
 For information on how to interpret the LD-1/LD-2 database, see here:
 .
 http://watchdog.jottit.com/lobbying_database

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Copyright (C) 2008 Drew Hess <dhess-debian@bothan.net>

DEB_PYTHON_SYSTEM=pysupport

# Debhelper must be included before python-distutils to use
# dh_python / dh_pycentral / dh_pysupport
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

# If your package provides eggs, install egg-info directories instead of real eggs
DEB_PYTHON_INSTALL_ARGS_ALL += --single-version-externally-managed

binary-install/python-lobbyists::
	# Install docs
	install -d $(DEB_DESTDIR)/usr/share/doc/python-lobbyists/doc/
	install -m0644 doc/* $(DEB_DESTDIR)/usr/share/doc/python-lobbyists/doc/
